Name:       libguess
Version:    1.2
Release:    1%{?dist}
Summary:    High-speed character set detection library
License:    BSD
URL:        https://github.com/kaniini/libguess

Source0:    %{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  make

%description
libguess employs discrete-finite automata to deduce the character set of the
input buffer. The advantage of this is that all character sets can be checked in
parallel, and quickly. Right now, libguess passes a byte to each DFA on the same
pass, meaning that the winning character set can be deduced as efficiently as
possible.

libguess is fully reentrant, using only local stack memory for DFA operations.

%package devel
Summary:    Files needed for developing with %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the files that are needed when building software that uses
%{name}.

%prep
%autosetup

sed -i '\,^.SILENT:,d' buildsys.mk.in

%build
%configure
%make_build

%install
%make_install

%check
cd src/tests/testbench
LD_LIBRARY_PATH=%{buildroot}%{_libdir} make

%{?ldconfig_scriptlets}

%files
%license COPYING
%doc README
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.1.*

%files devel
%{_libdir}/%{name}.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
